Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479763 - Review Request: seam - The Simple Extensible Abstract Machine
Summary: Review Request: seam - The Simple Extensible Abstract Machine
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-01-12 22:04 UTC by Fabian Affolter
Modified: 2010-01-26 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-14 14:54:04 UTC


Attachments (Terms of Use)

Description Fabian Affolter 2009-01-12 22:04:43 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/seam.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/seam-1.4-1.fc9.src.rpm

Project URL: http://www.ps.uni-sb.de/seam/

Description:
SEAM (Simple Extensible Abstract Machine) is a virtual machine
architecture and library. SEAM is designed to be language- and
platform-independent, to be simple and based on few principled
services.

* Uniform data representation and memory management
* Platform-independent external representation
* Abstract execution model

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1047921

rpmlint output:
[fab@laptop024 i386]$ rpmlint seam*
seam.i386: W: shared-lib-calls-exit /usr/lib/libseam.so.0.0.0 exit@GLIBC_2.0
seam-devel.i386: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop024 SRPMS]$ rpmlint seam-1.4-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

At the moment this package is not building in 64-bit environments. ->  ExclusiveArch:  %{ix86} ppc

I guess it's around the GNU Lightning support.

Comment 1 Jason Tibbitts 2009-07-11 07:30:01 UTC
It's getting less and less useful to have an i386-only package; I don't even try building anything on i386 these days.  Is there no chance of getting this to work on x86_64 or any other 64-bit architecture?

Comment 2 Fabian Affolter 2009-08-03 13:39:08 UTC
I will take a new look.

Comment 3 Fabian Affolter 2009-11-14 14:54:04 UTC
Upstream doesn't seam to be active any more.


Note You need to log in before you can comment on or make changes to this bug.